Page MenuHomePhabricator

It's not simple to join a Conpherence
Closed, ResolvedPublic

Description

  • When viewing a room you can join, but aren't in, provide some more obvious UI to join it. Right now there "Join" happens when you send your first message, but we should maybe instead once SOE ships, have a more obvious UI in it's place?
  • In Project-based rooms, users still need to be invited or find it themselves?
  • Maybe have NUX show n joinable rooms and then a button to find more?

Event Timeline

chad created this task.Sep 12 2016, 7:51 PM
chad added a comment.Sep 12 2016, 7:54 PM

This is probably the right default for "Rooms" ?

Of the visible rooms I'm a member of, 14 out of 15 are private (the other one is General Chat).

I think our use case is a little unusual, but not entirely unusual. As a user, I generally expect chat/messaging to be private by default (not "All Users").

In the case of direct messaging (T11308), I definitely expect the message to be private.

I think we could definitely make joining easier (but is the extreme version of this addressing a real problem? Do users really want to join rooms from the search results without even reading them? I'd expect that I always at least want to see what's going on in a room before joining it...).

We could also provide a more tailored NUX for "if you don't have any rooms yet, create a default general chat automatically / prompt to create a default general chat".

chad added a comment.Sep 13 2016, 4:12 PM

As a user, I generally expect chat/messaging to be private by default (not "All Users").

I think that's the current issue with Conpherence vs. Slack/Basecamp/HipChat/etc. These apps all default "Rooms/Channels" to open, and "Messaging" to private. We lump everything into one form / policy and it makes for mis-aligned defaults, difficult UI.

Hmm, I guess I don't have the same experience -- the defaults are what I expect and the UI doesn't seem difficult to me (rough in places, but the basic flows are what I expect/want).

chad added a comment.Sep 13 2016, 4:18 PM

I'd also argue the defaults are not aligned with how Phabricator works in general either. Every other object is open and nearly always anyone can edit, etc.

chad added a comment.Sep 13 2016, 4:24 PM

Mattermost:

chad added a comment.Sep 13 2016, 4:25 PM

I would be fine even with some interstitial for Room creation, maybe? I don't think Room creation is high volume so the extra step seems ok.

chad added a comment.Sep 13 2016, 4:33 PM

HipChat:

chad updated the task description. (Show Details)Sep 13 2016, 4:34 PM

Even if everything else defaults to public, I don't think that's an especially strong argument on its own for copying that default. There are a lot of other cases where we diverge from common practice because we think there's a stronger case for a different default or behavior.

Likewise, even though most applications default to open, there are plenty that don't.

Practically, 14/15 of the 15 most recent chats I'm in are private. If that's really the common case (e.g., most people are in ~90% private chats, and Conpherence is overwhelmingly used for private chats), it seems like private is the better default?

Do you think this ratio is likely to be unusual? I assume you're mostly in private chats, too, here at least -- this install is a bit unusual, but we have ~2500 rooms and I think only about ~200 are public, so >90% private. WMF looks like it has about 500 rooms and only ~50 public, so roughly 90% private there too. These aren't necessarily great examples since they're both open source installs, but I haven't seen evidence from users that defies this data.

Do you think these settings are sort of wrong (e.g., more rooms should be public, but they're "wrongly" private because that's the default)? The ones I'm in are legitimately private and I haven't seen data to suggest that this is an issue more broadly, but I don't know that this isn't an issue either.

Or do you think it doesn't matter, and even if 80%+ of chats are private we should still default to public when creating a new room?

chad added a comment.Sep 13 2016, 4:53 PM

I think some interstitial or slick JS UI will solve most of my concerns for open/private groups. These settings are very difficult to understand as a new user. Conpherence itself is one of our "everyone in the org" products, and I think it would benefit from a clearer understanding of what it can do.

chad updated the task description. (Show Details)Sep 13 2016, 6:02 PM

I'm going to focus this task down to getting users into a room. Can discuss, test room creation elsewhere once we have more of an idea what we want to do.

chad updated the task description. (Show Details)Sep 13 2016, 6:04 PM
chad closed this task as Resolved.Sep 17 2016, 2:27 AM

I think this is nearly all resolved with NUX.